## golang-github-advancedlogic-goose 0.0~git20200830.1225d53+ds

=== debian/changelog ===
golang-github-advancedlogic-goose (0.0~git20200830.1225d53+ds-2) unstable; urgency=medium

  * Bump Standards-Version.

 -- Aloïs Micard <alois@micard.lu>  Wed, 06 Jan 2021 11:27:54 +0100

golang-github-advancedlogic-goose (0.0~git20200830.1225d53+ds-1) unstable; urgency=medium

  * Initial release (Closes: #971787)

 -- Aloïs Micard <alois@micard.lu>  Wed, 04 Nov 2020 08:02:39 +0100
