=== debian/control ===
Source: golang-github-advancedlogic-goose
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Aloïs Micard <alois@micard.lu>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-araddon-dateparse-dev,
               golang-github-fatih-set-dev,
               golang-github-gigawattio-window-dev,
               golang-github-go-resty-resty-dev,
               golang-github-jaytaylor-html2text-dev,
               golang-github-pkg-errors-dev,
               golang-github-puerkitobio-goquery-dev,
               golang-golang-x-net-dev,
               golang-golang-x-text-dev
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-advancedlogic-goose
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-advancedlogic-goose.git
Homepage: https://github.com/advancedlogic/GoOse
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/advancedlogic/GoOse

Package: golang-github-advancedlogic-goose-dev
Architecture: all
Depends: golang-github-araddon-dateparse-dev,
         golang-github-fatih-set-dev,
         golang-github-gigawattio-window-dev,
         golang-github-go-resty-resty-dev,
         golang-github-jaytaylor-html2text-dev,
         golang-github-pkg-errors-dev,
         golang-github-puerkitobio-goquery-dev,
         golang-golang-x-net-dev,
         golang-golang-x-text-dev,
         ${misc:Depends}
Description: Html Content / Article Extractor in Golang (library)
 GoOse HTML Content / Article Extractor in Golang
