=== debian/watch ===
version=4

opts="\
mode=git,\
pgpmode=none,\
repacksuffix=+ds,\
repack,compression=xz,\
dversionmangle=s/\+ds\d*$//,\
  " https://github.com/advancedlogic/GoOse.git \
  HEAD debian

# Use the following when upstream starts to tag releases:
#
#version=4
#opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-advancedlogic-goose-$1.tar.gz%,\
#      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/" \
#  https://github.com/advancedlogic/GoOse/tags .*/v?(\d\S*)\.tar\.gz debian
