## golang-github-advancedlogic-goose 0.0~git20210820.9d5822d+ds

=== debian/changelog ===
golang-github-advancedlogic-goose (0.0~git20210820.9d5822d+ds-2) unstable; urgency=medium

  * Write patch to use new version of g-g-jaytaylor-html2text.

 -- Aloïs Micard <creekorful@debian.org>  Fri, 29 Oct 2021 21:40:06 +0200

golang-github-advancedlogic-goose (0.0~git20210820.9d5822d+ds-1) unstable; urgency=medium

  * New upstream version.
  * d/control:
    - Use my new email.
    - Bump Standards-Version.

 -- Aloïs Micard <creekorful@debian.org>  Mon, 23 Aug 2021 15:08:26 +0200
