=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: golang-github-advancedlogic-goose
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Aloïs Micard <alois@micard.lu>
+Uploaders: Aloïs Micard <creekorful@debian.org>
 Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
@@ -16,7 +16,7 @@
                golang-github-puerkitobio-goquery-dev,
                golang-golang-x-net-dev,
                golang-golang-x-text-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-advancedlogic-goose
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-advancedlogic-goose.git
 Homepage: https://github.com/advancedlogic/GoOse
