=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXCLUDES := sites

override_dh_auto_test:

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang
